Subject: [MMUSIC] draft-ietf-mmusic-ice-sip-sdp-09 Submitted

From: Suhas Nandakumar <[email-masked]>
Date: Fri, 8 Jul 2016 18:28:54 +0530

Hello All

  We submitted -09 version of the ice-sip-sdp draft with the following
changes

   1. Added Section 5 for dealing with ice2
   2. updated an example in Appendix A to be IPv6 based end-point
   3. Updated Section 13.2 to say about the aggregation rules for ice2
ice-option
   4. Restructured Offer/Answer sections into a single place as can be seen
in Section 4

Thanks to Christer for feedback on the restructuring the offer/answer
sections.

We hope that this version incorporates all the outstanding issues. Please
let us know if we are missing anything.

Cheers
Suhas

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 14 Jul 2016 12:28:20 +0000

Hi,

I see that you have added the definition of the ice2 ice-option. However, you have not defined usage of it in the offer/answer procedures, and it’s not included in the SDP examples.

Regards,

Christer

From: mmusic <[email-masked]<mailto:[email-masked]>> on behalf of Suhas Nandakumar <[email-masked]<mailto:[email-masked]>>
Date: Friday 8 July 2016 at 15:58
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [MMUSIC] draft-ietf-mmusic-ice-sip-sdp-09 Submitted

Hello All

  We submitted -09 version of the ice-sip-sdp draft with the following changes

   1. Added Section 5 for dealing with ice2
   2. updated an example in Appendix A to be IPv6 based end-point
   3. Updated Section 13.2 to say about the aggregation rules for ice2 ice-option
   4. Restructured Offer/Answer sections into a single place as can be seen in Section 4

Thanks to Christer for feedback on the restructuring the offer/answer sections.

We hope that this version incorporates all the outstanding issues. Please let us know if we are missing anything.

Cheers
Suhas

---

From: Suhas Nandakumar <[email-masked]>
Date: Thu, 14 Jul 2016 18:39:59 +0530

Hello Christer

 The draft currently says the following on Offer/Answer usage for the ice2
option

" The ICE option, 'ice2' is used with the SDP session level "a=ice-

   options" attribute in an SDP offer to indicate that the initiator of
   the ICE exchange is compliant to procedures from [ICE-BIS
<https://tools.ietf.org/html/draft-ietf-mmusic-ice-sip-sdp-09#ref-ICE-BIS>]
(via
   "a=ice-options: ice2").  The Responding Peer includes this same
   attribute at the session level in the SDP answer if it is also an
   [ICE-BIS <https://tools.ietf.org/html/draft-ietf-mmusic-ice-sip-sdp-09#ref-ICE-BIS>]
compliant ICE Agent."

Are you looking for something more specific than this ?

Thanks

Suhas

On Thu, Jul 14, 2016 at 5:58 PM, Christer Holmberg <
[email-masked]> wrote:

> Hi,
>
> I see that you have added the definition of the ice2 ice-option. However,
> you have not defined usage of it in the offer/answer procedures, and it’s
> not included in the SDP examples.
>
> Regards,
>
> Christer
>
> From: mmusic <[email-masked]> on behalf of Suhas Nandakumar <
> [email-masked]>
> To: "[email-masked]" <[email-masked]>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 14 Jul 2016 13:14:24 +0000

Hi,

> The draft currently says the following on Offer/Answer usage for the ice2 option
>

>   the ICE exchange is compliant to procedures from [ICE-BIS<https://tools.ietf.org/html/draft-ietf-mmusic-ice-sip-sdp-09#ref-ICE-BIS>] (via
>   [ICE-BIS<https://tools.ietf.org/html/draft-ietf-mmusic-ice-sip-sdp-09#ref-ICE-BIS>] compliant ICE Agent."

> Are you looking for something more specific than this ?

Since chapter 4 describes how offers and answers are created, I assumed it should be mentioned there. The text you have is a general description.

Regards,

Christer

On Thu, Jul 14, 2016 at 5:58 PM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Regards,

Christer

Hello All

Cheers
Suhas

---

From: Suhas Nandakumar <[email-masked]>
Date: Fri, 22 Jul 2016 13:32:10 +0530

Hello Christer

  I have submitted -10 version to address the above feedback. Please let me
know your thoughts

Thanks
Suhas

On Thu, Jul 14, 2016 at 6:44 PM, Christer Holmberg <
[email-masked]> wrote:

> >   the ICE exchange is compliant to procedures from [ICE-BIS <https://tools.ietf.org/html/draft-ietf-mmusic-ice-sip-sdp-09#ref-ICE-BIS>] (via
> >   [ICE-BIS <https://tools.ietf.org/html/draft-ietf-mmusic-ice-sip-sdp-09#ref-ICE-BIS>] compliant ICE Agent."
>
> >
>
> >
>
> Since chapter 4 describes how offers and answers are created, I assumed it
> should be mentioned there. The text you have is a general description.
>
> Regards,
>
> Christer
>
>
>

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 22 Jul 2016 08:44:23 +0000

Hi,

A couple of comments.

Q1:

The draft defines the “ice-pacing” attribute, used to negotiate the Ta value, and then references ICE-BIS for usage.

However, ICE-BIS does not describe how it is used in initial offers, answers, subsequent offers etc. I think we need to have some text in section 4 (and subsections) how/if/when the attribute is used in initial/subsequent offers/answers etc.

This of course applies to all SDP attributes, but it seems like some/all of them are already covered.

Q2:

Related to Q1, there needs to be text describing what to do if an offer (or answer) does not contain the “ice-pacing” attribute, or any other attribute that will not be present if the remote peer is RFC compliant. It was agreed yesterday during the ICE session that this should be in the ice-sip-sdp draft, because a RFC compliant ICE agent always uses SIP/SDP.

And, the procedure is the following: if the “ice-pacing” attribute is not present, one should assume the default value defined in RFC 5245 (not the default value in ICE-BIS).

Regards,

Christer

From: Suhas Nandakumar [mailto:[email-masked]]
Sent: 22 July 2016 11:02
To: Christer Holmberg <[email-masked]>
Cc: mmusic WG <[email-masked]>
Subject: Re: [MMUSIC] draft-ietf-mmusic-ice-sip-sdp-09 Submitted

Hello Christer

  I have submitted -10 version to address the above feedback. Please let me know your thoughts

Thanks
Suhas

On Thu, Jul 14, 2016 at 6:44 PM, Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Regards,

Christer

Regards,

Christer

Hello All

Cheers
Suhas